- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::StateRecv Class Reference

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::StateRecv:

List of all members.

## Public Member Functions
| StateRecv (const Ref< MessageGrp > &)
| Create a StateRecv given a MessageGrp.
void | source (int)
| Specify the source node.
## Protected Member Functions
void | next_buffer ()
| Specializations must implement next_buffer().

## Detailed Description

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp.

The documentation for this class was generated from the following file:

- mstate.h